rte_flow_item_vxlan(3)

NAME
rte_flow_item_vxlan

SYNOPSIS

#include <rte_flow.h>

Detailed Description

RTE_FLOW_ITEM_TYPE_VXLAN.

Matches a VXLAN header (RFC 7348), including GPE (draft-ietf-nvo3-vxlan-gpe-13.txt) and GBP (draft-smith-vxlan-group-policy-05.txt).

GPE is distinguished with its UDP port. UDP port may be specified with rte_eth_dev_udp_tunnel_port_add().

Definition at line 1112 of file rte_flow.h.

Field Documentation

  uint8_t flags
Normally 0x08 (I flag).

Definition at line 1119 of file rte_flow.h.

  uint8_t rsvd0[3]
Reserved, normally 0x000000.

Definition at line 1120 of file rte_flow.h.

  uint8_t vni[3]
VXLAN identifier.

Definition at line 1121 of file rte_flow.h.

  uint8_t rsvd1
Reserved, normally 0x00.

Definition at line 1122 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.